;
;       SETTINGS.INI file for WinJammer Professional
;
;       This file contains various settings that can be manually editted
;       if needed.  Each section below starts with a section name, enclosed
;       in [ ].  The actual values are of the form
;                       keyword=value
;       Lines starting with a semicolon are comments, and are ignored.
;

;
;       Values for the Length Combobox in Step Record
;

[Step Record Lengths]
Staccato=70
Legato=92
Marcato=80
Real Short=25
Full Length=100

;
;       Custom Reset strings for the MIDI Reset and Auto Reset commands
;
;       There are four reset strings - one pair for the MIDI Reset command
;       (Ctrl-R) and one for the Auto Reset command.  Each type has two
;       strings - one for channel type resets, and one for sysex type
;       resets.
;
;       The channel reset string must contain MIDI channel events, and will
;       be output on all channels on all ports.  Use a channel number of
;       one for each command in the sequence.  The string can be a maximum
;       of 256 bytes long, and produce as many as 128 bytes of data.  Note that
;       spaces are optional in the strings.  If a note on/off command is seen
;       in this string, this will result in note offs to be sent for every
;       note on all channels - this is time consuming and should probably
;       be avoided for the Auto Reset strings.
;
;       The system exclusive reset string should only contain system exclusive
;       messages, starting with a F0 and ending with a F7.  The limits for the
;       length is the same - 256 characters, 128 bytes.  This reset string is
;       sent once on each port.
;
;       Sample reset strings:
;
;       This is the default string for Auto Reset
;           ChannelAuto=B0 7B 00 B0 01 00 B0 79 00 B0 40 00 E0 00 40
;           - all notes off, modulation controller to zero,
;             reset all controllers, lift sustain pedal, centre pitch wheel
;
;       This is the default string for MIDI Reset
;           ChannelReset=B0 7B 00 B0 01 00 B0 79 00 B0 40 00 E0 00 40 90 00 00
;           - all notes off, modulation controller to zero,
;             reset all controllers, lift sustain pedal, centre pitch wheel,
;             send note off for every note on every channel
;
;       Reset for an SCC-1:
;           SysEx=F0 41 10 42 12 40 00 7F 00 41 F7
;       Reset for an MT-32:
;           SysEx=F0 41 10 16 12 7F 00 00 01 F7
;       Reset for FM MIDI Synth Patches:
;           SysEx=F0 00 00 5B 7F 01 16 F7
;       Reset for FM MIDI Synth Driver:
;           Sysex=F0 00 00 5B 7F 01 15 F7
;

[Reset Strings]
ChannelAuto=B0 7B 00 B0 01 00 B0 79 00 B0 40 00 E0 00 40
ChannelReset=B0 7B 00 B0 01 00 B0 79 00 B0 40 00 E0 00 40 90 00 00
SysExAuto=
SysExReset=

;
;       This section is the list of all of the names of each patch
;       set.  The NumSets entry tells how many patch sets there are
;       in the file.  To add a second set, change NumSets to be equal
;       to 2, and add a line that says "Set2=New Set".  The name of
;       the new patch set is placed on the right side, and must match
;       the section name.
;

[List of Patch Sets]
NumSets=1
Set1=Sample Patch Set

;
;       This is a sample patch set.  The patch name on the right side
;       of the = sign is displayed for the patch number on the left side
;       of the = sign.  The patch numbers start at zero.
;

[Sample Patch Set]
0=Sample Patch #0
1=Sample Patch #1
2=Etc.

